﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MvcJsonNet.Controllers
{
    using Models;

    public class MyTestController : Controller
    {
       
        [HttpGet]
        public ActionResult GetJsonNet()
        {
            var myClass = InitClass();
            return new JsonNetResult(myClass);
        }
        [HttpGet]
        public ActionResult GetJson()
        {
            var myClass = InitClass();
            foreach (var subClass in myClass.SubClasses)
            {
                subClass.MyClass = null;//解决循环引用
            }
            return Json(myClass,JsonRequestBehavior.AllowGet);
        }
        private MyClass InitClass()
        {
            MyClass myClass = new MyClass() { Id = 123, Name = "TestName", Description = "This is Description", CreateTime = DateTime.Now };
            SubClass s1 = new SubClass() { MyClass = myClass, Amount = 11.2, Id = 1 };
            SubClass s2 = new SubClass() { MyClass = myClass, Amount = 10.3, Id = 2 };
            myClass.SubClasses = new List<SubClass>() { s1, s2 };
            return myClass;
        }


        //
        // POST: /MyTest/Create

        [HttpPost]
        public ActionResult CreateFromJsonNet(MyClass model)
        {
            var str = model.CreateTime.ToString();
            foreach (var s in model.SubClasses)
            {
                str += s.Amount + ";";
            }
            return new JsonNetResult(str);

        }

        [HttpPost]
        public ActionResult CreateFromJson(MyClass model)
        {
            var str = model.CreateTime.ToString();
            foreach (var s in model.SubClasses)
            {
                str += s.Amount + ";";
            }
            return new JsonNetResult(str);

        }
    }
}
